Repeats a given function at every given time-interval.

- « Swoole\Server::taskWaitMulti

- Swoole\Table »

- PHP Manual
- Swoole\Server
- Repeats a given function at every given time-interval.

# Swoole\Server::tick

(PECL swoole >= 1.9.0)

Swoole\Server::tick — Repeats a given function at every given time-interval.

### Description

public Swoole\Server::tick(int `$interval_ms`, callable `$callback`): void

### Parameters

`interval_ms`

`callback`

### Return Values